Delete a Webhook
curl --request DELETE \
--url https://api.example.com/v1/webhooks/:idimport requests
url = "https://api.example.com/v1/webhooks/:id"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v1/webhooks/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhook
Delete a Webhook
Permanently removes a webhook subscription.
DELETE
/
v1
/
webhooks
/
:id
Delete a Webhook
Delete a Webhook
Permanently removes a webhook subscription. Delivery history is also deleted.Request
DELETE /v1/webhooks/:id
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | uuid | Yes | The unique identifier of the webhook |
Example
curl -X DELETE \
"https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/webhooks/wh-uuid-1" \
-H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
const response = await fetch(
"https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/webhooks/wh-uuid-1",
{
method: "DELETE",
headers: {
"Authorization": "Bearer rchd_live_xxxxxxxxxxxx"
}
}
);
const { data } = await response.json();
Response
{
"data": {
"success": true
}
}
.png?fit=max&auto=format&n=PYj-p9lRwfHX4QQS&q=85&s=967f00940a17d1d8cc11bd8995dc98d0)
.png?fit=max&auto=format&n=PYj-p9lRwfHX4QQS&q=85&s=5072033d90dfd5e7cc9349712ea4e145)